javax.faces.convert

## Class ConverterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - javax.faces.FacesException
        - - javax.faces.convert.ConverterException

- All Implemented Interfaces:
    Serializable

      public class ConverterException
      extends FacesException

  ConverterException is an exception thrown by the `getAsObject()` or `getAsText()` method of a `Converter`, to indicate that the requested conversion cannot be performed.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConverterException()` Construct a new exception with no detail message or root cause.
    `ConverterException(FacesMessage message)` Construct a new exception with the specified detail message and no root cause.
    `ConverterException(FacesMessage message, Throwable cause)` Construct a new exception with the specified detail message and root cause.
    `ConverterException(String message)` Construct a new exception with the specified detail message and no root cause.
    `ConverterException(String message, Throwable cause)` Construct a new exception with the specified detail message and root cause.
    `ConverterException(Throwable cause)` Construct a new exception with the specified root cause.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FacesMessage` | `getFacesMessage()` Returns the FacesMessage associated with this exception; this will only be available if the converter that thew this exception instance placed it there.

    - ### Methods inherited from class javax.faces.FacesException

      `getCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ConverterException

          public ConverterException()

      Construct a new exception with no detail message or root cause.

    - #### ConverterException

          public ConverterException(String message)

      Construct a new exception with the specified detail message and no root cause.

      Parameters:
        `message` - The detail message for this exception

    - #### ConverterException

          public ConverterException(Throwable cause)

      Construct a new exception with the specified root cause. The detail message will be set to `(cause == null ? null : cause.toString()`

      Parameters:
        `cause` - The root cause for this exception

    - #### ConverterException

          public ConverterException(String message,
                            Throwable cause)

      Construct a new exception with the specified detail message and root cause.

      Parameters:
        `message` - The detail message for this exception
        `cause` - The root cause for this exception

    - #### ConverterException

          public ConverterException(FacesMessage message)

      Construct a new exception with the specified detail message and no root cause.

      Parameters:
        `message` - The detail message for this exception

    - #### ConverterException

          public ConverterException(FacesMessage message,
                            Throwable cause)

      Construct a new exception with the specified detail message and root cause.

      Parameters:
        `message` - The detail message for this exception
        `cause` - The root cause for this exception

  - ### Method Detail

    - #### getFacesMessage

          public FacesMessage getFacesMessage()

      Returns the FacesMessage associated with this exception; this will only be available if the converter that thew this exception instance placed it there.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.